cURL
curl --request POST \
--url https://api.example.com/api/v1/sandboxes/{id}/terminals \
--header 'Content-Type: application/json' \
--data '
{
"shell": "bash",
"cwd": "/app",
"cols": 80,
"rows": 24
}
'import requests
url = "https://api.example.com/api/v1/sandboxes/{id}/terminals"
payload = {
"shell": "bash",
"cwd": "/app",
"cols": 80,
"rows": 24
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({shell: 'bash', cwd: '/app', cols: 80, rows: 24})
};
fetch('https://api.example.com/api/v1/sandboxes/{id}/terminals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"terminal": {
"id": "1234",
"sandboxId": "e7847229c547d8",
"shell": "bash",
"status": "active",
"createdAt": "2025-11-06T10:30:00Z"
},
"wsUrl": "wss://api.simplesandbox.dev/api/v1/sandboxes/e7847229c547d8/terminals/1234/ws"
}API Reference
Post apiv1sandboxes terminals
POST
/
api
/
v1
/
sandboxes
/
{id}
/
terminals
cURL
Path Parameters
Body
application/json
Shell to use for the terminal session
Available options:
bash, zsh, fish, sh Example:
"bash"
Working directory for the terminal session
Example:
"/app"
Terminal width in columns
Required range:
x > 0Example:
80
Terminal height in rows
Required range:
x > 0Example:
24
⌘I